### Method

# Cogl Pipeline get_layer_filters

#### Declaration [src]

    void
    cogl_pipeline_get_layer_filters (
      CoglPipeline* pipeline,
      int layer_index,
      CoglPipelineFilter* min_filter,
      CoglPipelineFilter* mag_filter
    )

#### Description [src]

Returns the decimation and interpolation filters used when a texture is drawn at other scales than 100%.

#### Parameters

`layer_index`

  Type: `int`

  The layer number to change.

`min_filter`

  Type: `CoglPipelineFilter`

  Return location for the filter used when scaling a texture down.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`mag_filter`

  Type: `CoglPipelineFilter`

  Return location for the filter used when magnifying a texture.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.